html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/********************* End CSS Reset ************************/
* {
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
	font-weight: 300;
	color:#333;
	/*background:url("images/whitebuilding.jpg");
	background-size: cover;*/
	background-color: #ffffff;
}

p {
	line-height: 22px;
	margin-bottom: 16px;
}

#container {
	width: 100vw;
	margin: auto;
	padding: 20px;
	min-width: 500px;
}


/********************* Header ************************/
header {
	background: url("images/logo.png") no-repeat;
	height: 200px;
	padding-bottom: 30px;
	position: relative;
}

a {
	text-decoration: none;
	color: #046425;
}

a:hover {
	color: #640444;
}

/****************** Typography **********************/
header h1 {
	font-size: 30px;
	position: absolute;
	top: 145px;
	color: #000;
}

header h2 {
	position: absolute;
	right: 20px;
	top: 50px;
	text-transform: uppercase;
	font-weight: bold;
	font-size: 26px;
	color: #046425;
}

.TCE {
	font-family: 'Pacifico', cursive;
	letter-spacing: 3px;
	text-transform:uppercase;
	font-weight: 300;
}

h3 {
	text-transform: uppercase;
	font-weight: bold;
}
/****************** Animation Anchor Tag **********************/
#cta {
	color: #640444;
	position: absolute;
	right: 20px;
	bottom: 20px;
	font-size: 30px;
}

#cta {
    animation:blinkingText 0.8s infinite;
}
@keyframes blinkingText{
    50%{     color: #640444;    }
	75%{    color: transparent; }
    100%{   color: #640444;    }
}

/****************** Navigation **********************/
#mainnav li {
	float: left;
	width: 25%;
}

#mainnav > ul > li {
	float:left;
}

#mainnav > ul > li:last-of-type {
	border-right: 1px solid #640444;
}

#mainnav ul li a {
	display:block;
	background:#d4ee9f;
	border-left: 1px solid #640444;
	height:36px;
	line-height:36px;
	padding:0 10px;
	text-align:center;
	text-decoration:none;
	text-transform:uppercase;
	font-weight:bold;
	color:#046425;
	font-size:85%;
}

#mainnav ul li a:hover {
	color: #640444;
}
#mainnav ul li ul {
	position: absolute;
	left: -9999px;
}

#mainnav ul li:hover ul {
	left: auto;
}

#mainnav ul li ul li {
	float: none;
	width: 303%;
}

#mainnav ul li ul li a {
	background: #d4ee9f;
	border-bottom: 1px solid #640444;
	border-right: 1px solid #640444;
}

#mainnav ul li ul li a:hover {
	background: #d4ee9f;
	color: #640444;
}

/******************* Main page content ********************/

#main {
	float: left;
	width: 75%;
	padding: 20px;
}

#extras {
	float: right;
	width: 25%;
	padding: 20px; 
	background-color: #eff4e1;
}

#cec {
	font-weight: bold;
}

article {
	padding-bottom: 20px;
}

#main h2, article h2{
	line-height: 40px;
	font-weight: bold;
	font-size: 24px;
}

/*************** Services page content ****************/

#t24res li, #t24nonres li {
	margin-left: 35px;
	line-height: 22px;
	list-style: disc;
}

h3 {
	text-transform: uppercase;
	font-weight: bold;
	display: inline-block;
}
/*************** Contact page content ****************/

.social {
	font-size: 22px;
	color: #046425;
    padding-right: 5px;
}

#contact-main {
	float: left;
	padding: 20px 20px 20px 50px;
}

#contact-main p {
	line-height: 12px;
}

#contact-pix {
	padding: 20px;
	float:right;
}

#email {
	color: #640444;
	font-weight: bold;
}

/*************** footer ****************/

footer {
	clear: left;
	background:#d4ee9f;
	margin: 40px 0;
	height: 120px;
}

footer img {
	width: 50px;
	height: 50px;
	padding: 0px 0 0 5px;
}

footer p {
	line-height:75px;
	text-align:center;
}

.fcol {
	width: 34%;
	float: left;
	padding: 10px 10px 0 10px;
}

#right.fcol {
	width: 36%;
}

#fcol-logo {
	width: 20%;
	float: left;
	padding: 10px 10px 0 10px;
}

.fcol  ul li a {
	display: block;
	line-height:40px;
	text-align: left;
	text-decoration: none;
	text-transform: uppercase;
	padding-top: 10px;
	padding-left:150px;
	height: 40px;
}

.fcol a {
	color: #c9cad1;	
	font-family: 'Oswald', sans-serif;
	text-decoration: none;
	color: #046424;
}

.fcol a:hover {
	color: #640444;
}

footer h1 {
	font-size: 12px;
	text-transform: uppercase;
	font-family: 'Pacifico', cursive;
	font-weight: 300;
	font-style: normal; 
	color: #000000;
}

/*************** Responsive Design ****************/
@media only screen and (max-width: 1020px) {
	#container {width: 100%;}
}

@media only screen and (max-width: 933px) {
	header h1 {
		font-size: 28px;
	}
	
	header h2 {
		font-size: 20px;
	}

	nav ul li {
		width: 20%;
	}		
}


@media only screen and (max-width: 800px) {	
	header h1 {
		font-size: 20px;
	}
	
	header h2 {
		font-size: 16px;
	}
	
	#cta {
		font-size: 24px;
	}
	
	#extras {
		display: none;
	}	
	
	#main {
		width: 100%;
	}
	
	.fcol  ul li a {
		font-size: 14px;
		padding-left: 120px;
	}
	
	#contact-pix {
		display: none;
	}
}

@media only screen and (max-width: 730px) {	
	header h1 {
		font-size: 16px;
	}
	
	#banner {
		font-size: 14px;
	}
	
	.fcol  ul li a {
		padding-left: 100px;
	}

}

@media only screen and (max-width: 672px) {
	header h1 {
		font-size: 14px;
	}
	
	#banner {
		font-size: 12px;
	}
	
	#cta {
		font-size: 20px;
	}
	
	.fcol  ul li a {
		padding-left: 80px;
	}
}

@media only screen and (max-width: 540px) {
	footer h1 {
		font-size: 10px;
	}
	
	.fcol  ul li a {
		padding-left: 50px;
	}
	
	#mainnav ul li ul li {
		width: 106%;
	}
}
